Initiate a card-funded top up for the specified account.

  • The account currency is derived from the account.
  • Only plain card details are supported for this endpoint.
  • The response may include a nextAction to complete authentication steps (3DS).

Parameters

NameInTypeRequiredDescription
id path string yes

Unique identifier of the account.

Request body

application/json · AccountCardTopUpRequest · required

FieldTypeRequiredDescription
amount string (decimal) yes

Amount to credit to the account (in account currency).

clientTransactionId string no

Optional client-side transaction identifier.

customerIp IPAddress no
idempotencyKey string no

Optional idempotency key to deduplicate requests.

metadata object no

Optional free-form metadata that will be stored with the transaction.

payer PersonKyc yes
paymentMethod PaymentCardPlain yes
returnUrl string (uri) no

Optional URL to return the end-user to after any required authentication steps.

Responses

StatusBodyDescription
200 AccountCardTopUpResponse

Top up initiated.

400 Error

Invalid request.

Specification

This page is generated from the OpenAPI specification, which remains the authoritative machine-readable source.